## Apache Zeta Components Manual :: Docs For Class ezcWorkflowDatabaseOptions

### WorkflowDatabaseTiein::ezcWorkflowDatabaseOptions

### Class ezcWorkflowDatabaseOptions

Options class for ezcWorkflowDatabase.

Source for this file: /WorkflowDatabaseTiein/src/options/database.php

    ezcBaseOptions
       |
       --ezcWorkflowDatabaseOptions

Version: | //autogen//

### Properties

string | read/write | `$prefix` The database table name prefix to be used.

### Member Variables

protected array(string=>mixed) | `$properties = array( 'prefix' => '', )` Properties.

### Inherited Methods

From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

Documentation generated by phpDocumentor 1.4.3